libsidplayfp::c64cia2 Class Reference

`#include <c64cia.h>`

Inheritance diagram for libsidplayfp::c64cia2:

## Public Member Functions

| c64cia2 (c64env &env)
void | poke (uint_least16_t address, uint8_t value) override
uint8_t | peek (uint_least16_t address) override
Public Member Functions inherited from libsidplayfp::MOS652X
void | setModel (model_t model)
virtual void | reset ()
void | setDayOfTimeRate (unsigned int clock)

## Protected Member Functions

void | interrupt (bool state) override
Protected Member Functions inherited from libsidplayfp::MOS652X
| MOS652X (EventScheduler &scheduler)
virtual void | portA ()
virtual void | portB ()
uint8_t | adjustDataPort (uint8_t data)
uint8_t | read (uint_least8_t addr)
void | write (uint_least8_t addr, uint8_t data)

## Additional Inherited Members

Public Types inherited from libsidplayfp::MOS652X
enum class | model_t { MOS6526 = 0 , MOS8521 , MOS6526W4485 }
Static Public Member Functions inherited from libsidplayfp::MOS652X
static const char * | credits ()
Protected Attributes inherited from libsidplayfp::MOS652X
EventScheduler & | eventScheduler
| Event context.
uint8_t & | pra
| Ports.
uint8_t & | prb
uint8_t & | ddra
uint8_t & | ddrb
uint8_t | regs [0x10]
| These are all CIA registers.
TimerA | timerA
| Timers A and B.
TimerB | timerB
std::unique_ptr< InterruptSource > | interruptSource
| Interrupt Source.
Tod | tod
| TOD.
SerialPort | serialPort
| Serial Data Registers.
EventCallback< MOS652X > | bTickEvent
| Events.

## Detailed Description

CIA 2

Generates NMIs

Located at $DD00-$DDFF

## Member Function Documentation

## interrupt()

void libsidplayfp::c64cia2::interrupt | ( | bool | state | ) |

inline override protected virtual

Signal interrupt.

Parameters

  state | interrupt state

Implements libsidplayfp::MOS652X.

## peek()

uint8_t libsidplayfp::c64cia2::peek | ( | uint_least16_t | address | ) |

inline override virtual

Bank read. You probably should override this method, except if the Bank is only used in write context.

Parameters

  address | value to read from

Returns
  value at address

Implements libsidplayfp::Bank.

## poke()

void libsidplayfp::c64cia2::poke | ( | uint_least16_t | address,
|  | uint8_t | value )

inline override virtual

Bank write.

Override this method if you expect write operations on your bank. Leave unimplemented if it's logically/operationally impossible for writes to ever arrive to bank.

Parameters

  address | address to write to
  value | value to write

Implements libsidplayfp::Bank.

The documentation for this class was generated from the following file:

- c64cia.h